var prodLikeService = (function () {
    return {
        prodLikeApiRequest: function (params, option) {
            var prodId = params.prodId;
            var like = _.isBoolean(params.like) ? params.like : params.like === "true";

            $.ajax({
                url: "/clfd/prod/like.json",
                data: {
                    "prodId": prodId,
                    "like": !like
                },
                type: "POST",
                success: function (res) {
                    console.log(res);
                    if (res.result === "success") {
                        if (option && option.scb) {
                            option.scb(res);
                        }
                    } else {
                        if (option && option.ecb) {
                            option.ecb(res);
                        }
                    }
                }
            });
        },
        canLike: function () {
            if (!clfdSession.isLogin()) {
                alert("좋아요 기능을 사용하려면 로그인 하세요.")
                return false;
            }
            return true;
        }
    }
}());